using System;
using NinjaTrader.Cbi;

internal sealed class Delegate758 : MulticastDelegate
{
	public extern Instrument Invoke(object object_0);

	public static Instrument smethod_0(object object_0, Delegate758 delegate758_1)
	{
		return delegate758_1(object_0);
	}

	public extern Delegate758(object object_0, IntPtr intptr_0);

	static Delegate758()
	{
		Class10.smethod_13(typeof(Delegate758).TypeHandle);
	}

	internal static Delegate758 delegate758_0;
}
